std::back_insert_iterator(3)

NAME
std::back_insert_iterator -

SYNOPSIS

Inherits iterator< std::output_iterator_tag, void, void, void, void >.

Detailed Description

  template<typename _Container> class std::back_insert_iterator< _Container >
These are output iterators, constructed from a container-of-T. Assigning a T to the iterator appends it to the container using push_back.

Tip: Using the back_inserter function to create these iterators can save typing.

Definition at line 383 of file stl_iterator.h.

  Public Types
typedef _Container container_type
typedef _Distance difference_type
typedef _Category iterator_category
typedef _Pointer pointer
typedef _Reference reference
typedef _Tp value_type

  Public Member Functions
back_insert_iterator (_Container &__x)
back_insert_iterator & operator * ()
back_insert_iterator operator++ (int)
back_insert_iterator & operator++ ()
back_insert_iterator & operator= (typename _Container::const_reference __value)

  Protected Attributes
_Container * container

Member Typedef Documentation

  typedef _Container container_type

A nested typedef for the type of whatever container you used.

Definition at line 391 of file stl_iterator.h.

  typedef _Distance difference_type [inherited]

Distance between iterators is represented as this type.

Reimplemented in reverse_iterator.

Definition at line 113 of file stl_iterator_base_types.h.

  typedef _Category iterator_category [inherited]

One of the tag types.

Definition at line 109 of file stl_iterator_base_types.h.

  typedef _Pointer pointer [inherited]

This type represents a pointer-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 115 of file stl_iterator_base_types.h.

  typedef _Reference reference [inherited]

This type represents a reference-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 117 of file stl_iterator_base_types.h.

  typedef _Tp value_type [inherited]

The type 'pointed to' by the iterator.

Reimplemented in sequence_buffer.

Definition at line 111 of file stl_iterator_base_types.h.

Constructor & Destructor Documentation

  back_insert_iterator (_Container & __x) [inline, explicit]

The only way to create this iterator is with a container.

Definition at line 395 of file stl_iterator.h.

Member Function Documentation

  back_insert_iterator& operator * () [inline]

Simply returns *this.

Definition at line 417 of file stl_iterator.h.

  back_insert_iterator operator++ (int) [inline]

Simply returns *this. (This iterator does not 'move'.).

Definition at line 427 of file stl_iterator.h.

  back_insert_iterator& operator++ () [inline]

Simply returns *this. (This iterator does not 'move'.).

Definition at line 422 of file stl_iterator.h.

  back_insert_iterator& operator= (typename _Container::const_reference __value) [inline]

Parameters:
    value An instance of whatever type container_type::const_reference is; presumably a reference-to-const T for container<T>.

Returns:
    This iterator, for chained operations.

This kind of iterator doesn't really have a 'position' in the container (you can think of the position as being permanently at the end, if you like). Assigning a value to the iterator will always append the value to the end of the container.

Definition at line 409 of file stl_iterator.h.

References back_insert_iterator::container.

Author

Generated automatically by Doxygen for libstdc++ from the source code.